Subject: Re: [X2Go-Dev] Bug#833: x2goserver 4.0.1.19-0x2go2+git20150326.1064+wheezy.main.1 defective

From: Mihai Moldovan <[email-masked]>
Date: Thu, 02 Apr 2015 18:23:14 +0200

Control: close -1
Control: tag -1 not-a-bug
Thanks

On 02.04.2015 10:24 AM, Klaus Munsteiner wrote:
> I'm new with Debian, as I must use it for the old hardware.
> Normally I use Xubuntu. 
> I got the error-message by using synaptic.
>
> As you wanted to know more, I tried to install the server with apt-get
> and got this message:
>
> ----------------------------------
> root@praxis-2:/home/admin-praxis# apt-get install x2goserver
> Paketlisten werden gelesen... Fertig
> Abhängigkeitsbaum wird aufgebaut.       
> Statusinformationen werden eingelesen.... Fertig
> Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
> Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
> Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
> nicht erstellt wurden oder Incoming noch nicht verlassen haben.
> Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu
> lösen:
>
> Die folgenden Pakete haben unerfüllte Abhängigkeiten:
>  x2goserver : Hängt ab von: libconfig-simple-perl ist aber nicht
> installierbar
>               Hängt ab von: pwgen ist aber nicht installierbar
>               Hängt ab von: libdbd-pg-perl ist aber nicht installierbar
>               Hängt ab von: libdbd-sqlite3-perl ist aber nicht
> installierbar
>               Hängt ab von: libfile-which-perl ist aber nicht
> installierbar
>               Hängt ab von: libcapture-tiny-perl ist aber nicht
> installierbar
>               Empfiehlt: sshfs ist aber nicht installierbar
>               Empfiehlt: x2goserver-extensions (= 4.0.1.19-0x2go2
> +git20150326.1064+wheezy.main.1) soll aber nicht installiert werden
>               Empfiehlt: x2goserver-xsession (= 4.0.1.19-0x2go2
> +git20150326.1064+wheezy.main.1) soll aber nicht installiert werden
> E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene
> defekte Pakete.
> ----------------------------------

Hm, all these packages are in main. contrib or non-free should not be
needed for any of them.

What really happened here is that something triggered an update of your
out-of-date packages lists. (That is, that stuff that happens when one
runs (sudo) apt-get update or (sudo) aptitude update.)

They likely weren't just out-of-date, but plainly not existent,
explaining the uninstallable packages.

> Resolution:
> I added the missing repositories contrib and non-free and the
> installation was possible without errors.

I guess running sudo apt-get update or sudo aptitude update or letting
synaptics update the package lists (no idea how to do this with
synaptics, sorry) would have been enough. You should be able to remove
contrib and non-free, then update the package lists by some mentioned
means. After that, installing x2goserver and other components should
still be possible (but any tests at this point are moot, because the
x2goserver package is already installed on that machine.)

> The report can be closed.

Done! Thank you.

Mihai